Exchange Chart Points
curl --request GET \
--url https://api.diadata.org/v1/chartPoints/{filter}/{exchange}/{symbol}import requests
url = "https://api.diadata.org/v1/chartPoints/{filter}/{exchange}/{symbol}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.diadata.org/v1/chartPoints/{filter}/{exchange}/{symbol}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{"DataPoints":[{"Series":[{"name":"filters","columns":["time","exchange","filter","symbol","value"],"values":[["2020-05-19T08:02:09Z","GateIO","MEDIR120","EOS",2.6218717017500084]]}],"Messages":null}]}
Chart Points for Graphs
Exchange Chart Points
Get chart points for an exchange.
GET
/
v1
/
chartPoints
/
{filter}
/
{exchange}
/
{symbol}
Exchange Chart Points
Successful responses can be rather large.
Path Parameters
string
required
Which filter should be applied (Available options: MA120, VOL120, MEDIR120 and
MAIR120).
string
required
A valid exchange from GET /v1/exchanges, e.g., Binance
string
required
A valid symbol from GET /v1/coins, e.g., BTC.
Query Parameters
string
Which scale the graph points distance should have. Available options: 5m 30m
1h 4h 1d 1w.
{"DataPoints":[{"Series":[{"name":"filters","columns":["time","exchange","filter","symbol","value"],"values":[["2020-05-19T08:02:09Z","GateIO","MEDIR120","EOS",2.6218717017500084]]}],"Messages":null}]}
Was this page helpful?
⌘I